Bug 1432191 - rubygems: gcc fails to compile software when redhat-rpm-config isn't installed
Summary: rubygems: gcc fails to compile software when redhat-rpm-config isn't installed
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygems
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1284684
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-14 18:15 UTC by Neal Gompa
Modified: 2018-03-03 02:25 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514358 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1284684 None NEW ruby-libs should not hard-code Fedora build flags 2019-05-15 16:47:26 UTC
Red Hat Bugzilla 1514358 None CLOSED gobject-introspection: gcc fails to compile software when redhat-rpm-config isn't installed 2019-05-15 16:47:25 UTC

Internal Links: 1284684 1514358

Description Neal Gompa 2017-03-14 18:15:15 UTC
Description of problem:
Since the hardened by default change, gcc will sometimes fail to compile stuff if redhat-rpm-config isn't installed. This is because it now depends on the redhat-hardened wrappers shipped in redhat-rpm-config.

This problem is so bad that it's documented on developer.fedoraproject.org: https://developer.fedoraproject.org/tech/languages/ruby/gems-installation.html

Please split out the hardening wrappers into their own package and make gcc depend on them.

Version-Release number of selected component (if applicable):
6.3.1-1.fc25

Additional info:
This also affects Fedora 24, Fedora 26, and Rawhide.

Comment 1 Florian Weimer 2017-03-14 18:48:24 UTC
This looks like a ruby bug to me.  It extracts the build flags from the build environment.  As such, it is the responsibility of the ruby package to replicate the build environment (e.g., the rubygems package should depend on redhat-rpm-config).

GCC itself works just fine without redhat-rpm-config.

Comment 3 Jonathan Wakely 2017-03-18 17:20:24 UTC
It's still not a problem with GCC. Those things are passing an option to gcc telling it to use a file that is part of redhat-rpm-config, so those things should depend on redhat-rpm-config.

If I call gcc with -lcurl and haven't installed libcurl-devel it fails to find the file, but that doesn't mean gcc should depend on libcurl.

Comment 4 Fedora End Of Life 2017-11-16 18:43:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Neal Gompa 2017-11-17 02:44:38 UTC
This is definitely still a problem, because I observed this when setting the CI for gsignond[1][2].

[1]: https://gitlab.com/Conan_Kudo/gsignond/-/jobs/39973042
[2]: https://gitlab.com/Conan_Kudo/gsignond/commit/88dd2bdeb652199325e9f19bda774aab6ef022cd

Comment 6 Florian Weimer 2017-11-17 08:32:28 UTC
This is a bug in rubygems because it bakes toolchain compilation flags into RPM packages.  It should not do that.


Note You need to log in before you can comment on or make changes to this bug.